from setuptools import setup, find_packages

with open('requirements.txt') as fin:
  requirements = fin.read()

def readme():
    with open('README.rst') as f:
        return f.read()

setup(
	name='corna',
    version='2.5.56',
    description='Natural Abundance Correction Toolbox',
    long_description=readme(),
    packages = find_packages(),
    classifiers=[
        'Development Status :: Stable',
        'Intended Audience :: Scientists',
        'Natural Language :: English',
        'Topic :: Scientific :: Metabolomics',
        'Programming Language :: Python :: 3.6',
        'Topic :: Text Processing :: Linguistic',
    ],
    include_package_data=True,
    zip_safe=False,
    install_requires=[
        requirements,
    ],
    package_data={
        '': ['*.bngl', '*.json']
    },

)
